package test.rewolucja.resources.physical.factory;

import test.rewolucja.resources.description.ExecResourceDescription;
import test.rewolucja.resources.physical.base.ComputingResource;
import test.rewolucja.resources.physical.implementation.Processor;
import test.rewolucja.resources.physical.implementation.DataCenter;
import test.rewolucja.resources.physical.implementation.Grid;


public  class ResourceFactory {

	public static ComputingResource createResource(ExecResourceDescription resDesc){
		switch(resDesc.getType()){
			case COMPUTING_GRID: return new Grid(resDesc);
			case DATA_CENTER: return new DataCenter(resDesc);
			case COMPUTING_NODE: return ComputingNodeFactory.createComputingNode(resDesc);
			case CPU: return new Processor(resDesc);
		default:
			return new ComputingResource(resDesc);
		}
	}

}

